| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PDSS_Molar Class Reference

Base class for PDSS classes which compute molar properties directly. More...

`#include <PDSS.h>`

Inheritance diagram for PDSS_Molar:
[legend]

## Detailed Description

Base class for PDSS classes which compute molar properties directly.

Definition at line 476 of file PDSS.h.

## Public Member Functions
double | enthalpy_RT () const override
| Return the standard state molar enthalpy divided by RT.
double | entropy_R () const override
| Return the standard state entropy divided by RT.
double | gibbs_RT () const override
| Return the molar Gibbs free energy divided by RT.
double | cp_R () const override
| Return the molar const pressure heat capacity divided by RT.
Public Member Functions inherited from PDSS
virtual void | setTemperature (double temp)
| Set the internal temperature.
virtual double | temperature () const
| Return the current stored temperature.
virtual void | setState_TP (double temp, double pres)
| Set the internal temperature and pressure.
virtual void | setState_TR (double temp, double rho)
| Set the internal temperature and density.
virtual double | critTemperature () const
| critical temperature
virtual double | critPressure () const
| critical pressure
virtual double | critDensity () const
| critical density
virtual double | satPressure (double T)
| saturation pressure
double | molecularWeight () const
| Return the molecular weight of the species in units of kg kmol-1.
void | setMolecularWeight (double mw)
| Set the molecular weight of the species.
| PDSS ()=default
| Default Constructor.
| PDSS (const PDSS &b)=delete
PDSS & | operator= (const PDSS &b)=delete
virtual double | enthalpy_mole () const
| Return the molar enthalpy in units of J kmol-1.
virtual double | intEnergy_mole () const
| Return the molar internal Energy in units of J kmol-1.
virtual double | entropy_mole () const
| Return the molar entropy in units of J kmol-1 K-1.
virtual double | gibbs_mole () const
| Return the molar Gibbs free energy in units of J kmol-1.
virtual double | cp_mole () const
| Return the molar const pressure heat capacity in units of J kmol-1 K-1.
virtual double | cv_mole () const
| Return the molar const volume heat capacity in units of J kmol-1 K-1.
virtual double | molarVolume () const
| Return the molar volume at standard state.
virtual double | density () const
| Return the standard state density at standard state.
virtual double | enthalpyDelp_mole () const
| Get the difference in the standard state enthalpy between the current pressure and the reference pressure, p0.
virtual double | entropyDelp_mole () const
| Get the difference in the standard state entropy between the current pressure and the reference pressure, p0.
virtual double | gibbsDelp_mole () const
| Get the difference in the standard state Gibbs free energy between the current pressure and the reference pressure, p0.
virtual double | cpDelp_mole () const
| Get the difference in standard state heat capacity between the current pressure and the reference pressure, p0.
double | refPressure () const
| Return the reference pressure for this phase.
double | minTemp () const
| return the minimum temperature
double | maxTemp () const
| return the minimum temperature
virtual double | gibbs_RT_ref () const
| Return the molar Gibbs free energy divided by RT at reference pressure.
virtual double | enthalpy_RT_ref () const
| Return the molar enthalpy divided by RT at reference pressure.
virtual double | entropy_R_ref () const
| Return the molar entropy divided by R at reference pressure.
virtual double | cp_R_ref () const
| Return the molar heat capacity divided by R at reference pressure.
virtual double | molarVolume_ref () const
| Return the molar volume at reference pressure.
virtual double | pressure () const
| Returns the pressure (Pa)
virtual void | setPressure (double pres)
| Sets the pressure in the object.
virtual double | thermalExpansionCoeff () const
| Return the volumetric thermal expansion coefficient. Units: 1/K.
void | setReferenceThermo (shared_ptr< SpeciesThermoInterpType > stit)
| Set the SpeciesThermoInterpType object used to calculate reference state properties.
virtual void | setParent (VPStandardStateTP *phase, size_t k)
| Set the parent VPStandardStateTP object of this PDSS object.
virtual void | initThermo ()
| Initialization routine.
void | setParameters (const AnyMap &node)
| Set model parameters from an AnyMap phase description, for example from the `equation-of-state` field of a species definition.
virtual void | getParameters (AnyMap &eosNode) const
| Store the parameters needed to reconstruct a copy of this PDSS object.
virtual void | reportParams (size_t &kindex, int &type, double *const c, double &minTemp, double &maxTemp, double &refPressure) const
| This utility function reports back the type of parameterization and all of the parameters for the species, index.

## Additional Inherited Members
Protected Attributes inherited from PDSS
double | m_temp = -1.0
| Current temperature used by the PDSS object.
double | m_pres = -1.0
| State of the system - pressure.
double | m_p0 = -1.0
| Reference state pressure of the species.
double | m_minTemp = -1.0
| Minimum temperature.
double | m_maxTemp = 10000.0
| Maximum temperature.
double | m_mw = 0.0
| Molecular Weight of the species.
AnyMap | m_input
| Input data supplied via setParameters.
shared_ptr< SpeciesThermoInterpType > | m_spthermo
| Pointer to the species thermodynamic property manager.

## Member Function Documentation

## ◆ enthalpy_RT()

double enthalpy_RT | ( |  | ) | const
| override virtual

Return the standard state molar enthalpy divided by RT.

Returns
  The dimensionless species standard state enthalpy divided at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 205 of file PDSS.cpp.

## ◆ entropy_R()

double entropy_R | ( |  | ) | const
| override virtual

Return the standard state entropy divided by RT.

Returns
  The species standard state entropy divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 210 of file PDSS.cpp.

## ◆ gibbs_RT()

double gibbs_RT | ( |  | ) | const
| override virtual

Return the molar Gibbs free energy divided by RT.

Returns
  The species standard state Gibbs free energy divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 215 of file PDSS.cpp.

## ◆ cp_R()

double cp_R | ( |  | ) | const
| override virtual

Return the molar const pressure heat capacity divided by RT.

Returns
  The species standard state Cp divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 220 of file PDSS.cpp.

The documentation for this class was generated from the following files:

- PDSS.h
- PDSS.cpp